Make Array Strictly Increasing II Greedy II DP II Hashing II Overflows II Leetcode 1187

Поделиться
HTML-код
  • Опубликовано: 27 окт 2024

Комментарии • 33

  • @ARYANMITTAL
    @ARYANMITTAL  Год назад +10

    Code & Notes: drive.google.com/file/d/1EK8hg01qgQezdNMw3Txhu6MJakSKfRjK/view?usp=sharing
    Amazing one, would learn 4 concepts together 🙈

  • @hemantkoshta
    @hemantkoshta Год назад +7

    Good Explanation. Building the intuition is the main task while learning Problem Solving which people leave. It sometimes even helps in other unsolved questions we encounter. Thanks for making this an integral part of your videos.

  • @nipunrawat7137
    @nipunrawat7137 Год назад +10

    Bro the energy❤❤

  • @AmarjeetKumar-to9ub
    @AmarjeetKumar-to9ub Год назад +4

    12:10 🥲

  • @deepakthappa2321
    @deepakthappa2321 Год назад +5

    bro you are an absolute genius! Thanks a lot everyone knows but explaining it so that everyone can understand is just so great.

  • @Luffy-vo2ju
    @Luffy-vo2ju Год назад +1

    No words 🔥🔥

  • @dhruvshah8310
    @dhruvshah8310 Год назад

    what an amazing problem and solution bro, thanks so much

  • @kushagramishra5638
    @kushagramishra5638 Год назад +1

    Best explanation bro 👍

  • @nikhilbabar2226
    @nikhilbabar2226 Год назад +2

    Instead of storing the numbers, we can use index of element picked from second array as second parameter and -1 for not picking the element, dp[index][par2+1]

    • @VivekYadav-ds8oz
      @VivekYadav-ds8oz Год назад +1

      Yup that's what I thought too. This can be much better especially for languages where the HashMap is significantly more expensive than a normal array, like in Rust.

    • @varunaggarwal7126
      @varunaggarwal7126 Год назад

      it will not work, as we are replacing the value from arr2, how will you know you have replaced the value from arr2 and not taken the arr1 prev value, in the next call stack, so he is taking the actual value itself.

  • @kartikdangi6936
    @kartikdangi6936 Год назад +2

    Using of map as dp is the part I was unable to figure out. Thanks for the solution.

  • @nikethdonthula2123
    @nikethdonthula2123 Год назад +1

    This is the best video Solution for this problem !! Great work

  • @samirkurade912
    @samirkurade912 Год назад +2

    just one suggestion instead of explaining direct dp solution, first explain the recursive solution and then move to dp optimized solution so it will become more easy and simple to understand

  • @madhavgupta2002
    @madhavgupta2002 Год назад

    why couldnt we use unordered_map ?

    • @SauravKumar-r5j2j
      @SauravKumar-r5j2j Год назад

      for the pair type you have to use map not unordered_map

  • @dethaliyayashhimatbhai6170
    @dethaliyayashhimatbhai6170 Год назад +6

    one suggestion can you code when you explain so which more understandable Thank you for this awesome explanation :)

  • @anushkadahiya7294
    @anushkadahiya7294 Год назад

    thanks bro! very well explained.

  • @AKSHAYKUMAR-td5rw
    @AKSHAYKUMAR-td5rw Год назад

    🤯🤯🤯🤯🤯🤯

  • @theprofessor5579
    @theprofessor5579 Год назад +1

    Just wow ! Day 11 streak and still going thanks to you

  • @himanshusahu7165
    @himanshusahu7165 Год назад

    Bro can you tell me some more questions on trinary serch???

  • @shivaay8215
    @shivaay8215 Год назад +1

    No one can match his way of explanation.....

  • @chetanyagupta5801
    @chetanyagupta5801 Год назад

    Hey, This was really an awesome explanation. Keep up the great work!!

  • @kadrax
    @kadrax Год назад +1

    ❤ best

  • @One_Day_I_Promise
    @One_Day_I_Promise Год назад +1

    That was an incredible video!

  • @arnabkundu4541
    @arnabkundu4541 Год назад +2

    Thanks for the awesome explanation. However, I have a small question regarding the TC. The TC mentioned in the video is n*m*logm. Basically n*m means, we are pairing every number of arr1 with every number of arr2. But that is not the case. For each index of arr1, we are simply searching the ceil num from arr2. Shouldn't the TC be N*logM. Am I missing something here. Please Help!!

  • @healthaction4771
    @healthaction4771 Год назад +1

    nice explanation!!!

  • @aadityavijayvargiya2299
    @aadityavijayvargiya2299 Год назад

    Hey Aryan!! Can you explain why you have added 1 in second if of help function. intmax vala jisme smjhaya tha

  • @ShreyaMalik-1207
    @ShreyaMalik-1207 Год назад

    I dont understand how did the array change [1,5,3,6,7] and [1,5,3,7?,8?] @13:29

  • @sachinsharma-pc3ch
    @sachinsharma-pc3ch Год назад

    Awesome explanation bro❤

  • @rohithkumartangudu4664
    @rohithkumartangudu4664 Год назад

    Can anyone provide me the java version of this working code

  • @swarnavopramanik1701
    @swarnavopramanik1701 Год назад

    Java code for all vedio bhaiya please 🥺

  • @SantaKakidnapper
    @SantaKakidnapper Год назад +2

    I just sometimes open your vedio thinking that this will be better than previous , but you are not a good teacher i think so ,
    may be if you do some less overacting and give more effort on explaining the solution ,it may work
    it's seem like you are explaining it to yourself .